import React from 'react';
import PropTypes from 'prop-types';
import { createComponent } from '@cloudflare/style-container';

class ScrollContainer extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    return /*#__PURE__*/React.createElement("div", {
      className: this.props.className,
      onScroll: this.handleScroll,
      ref: _ref => this.ref = _ref
    }, this.props.children);
  }

}

ScrollContainer.propTypes = {
  children: PropTypes.node,
  className: PropTypes.string,
  handleScroll: PropTypes.func
};
const ScrollContainerWrapper = createComponent(theme => {
  return {
    maxHeight: theme.maxMenuHeight || '205px',
    overflowY: 'auto'
  };
}, ScrollContainer);
export default ScrollContainerWrapper;