"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styleContainer = require("@cloudflare/style-container");

var _clearRenderer = _interopRequireDefault(require("./clearRenderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var CloseMenuComponent = /*#__PURE__*/function (_React$Component) {
  _inherits(CloseMenuComponent, _React$Component);

  function CloseMenuComponent(props) {
    var _this;

    _classCallCheck(this, CloseMenuComponent);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CloseMenuComponent).call(this, props));

    _this.handleTouchDown = function () {
      return _this.dragging = true;
    };

    _this.handleTouchMove = function () {
      return _this.dragging = false;
    };

    _this.handleTouchEnd = function () {
      if (!_this.dragging) {
        _this.props.closeMenu();
      }
    };

    return _this;
  }

  _createClass(CloseMenuComponent, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_react.default.createElement("span", {
        className: this.props.className,
        onMouseDown: this.props.closeMenu,
        onTouchStart: this.handleTouchStart,
        onTouchMove: this.handleTouchMove,
        onTouchEnd: this.handleTouchEnd,
        role: "button",
        tabIndex: 0
      }, (0, _clearRenderer.default)());
    }
  }]);

  return CloseMenuComponent;
}(_react.default.Component);

CloseMenuComponent.propTypes = {
  closeMenu: _propTypes.default.func.isRequired,
  className: _propTypes.default.string
};
var CloseMenu = (0, _styleContainer.createComponent)(function () {
  return {
    cursor: 'pointer',
    float: 'right'
  };
}, CloseMenuComponent);
var _default = CloseMenu;
exports.default = _default;