import { createComponent } from '@cloudflare/style-container';
const MenuHeader = createComponent(({
  theme
}) => ({
  color: theme.colors.gray[3],
  cursor: 'default',
  fontWeight: 'bold',
  fontSize: '.86667rem',
  backgroundColor: theme.colors.gray[9],
  borderBottom: `1px solid ${theme.colors.gray[8]}`,
  width: '100%',
  '> *': {
    display: 'inline-block',
    padding: '8px 10px'
  }
}), 'h3');
export default MenuHeader;