import React from 'react';
import { createComponent } from '@cloudflare/style-container';
const ClearRenderer = createComponent(({
  theme
}) => ({
  display: 'inline-block',
  fontSize: '18px',
  fontWeight: 'normal',
  lineHeight: 1,
  ':hover': {
    color: theme.colors.red[3]
  }
}), 'span');
export default function clearRenderer() {
  return /*#__PURE__*/React.createElement(ClearRenderer, null, /*#__PURE__*/React.createElement("span", {
    dangerouslySetInnerHTML: {
      __html: '&times;'
    }
  }));
}