"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styleContainer = require("@cloudflare/style-container");

var MenuHeader = (0, _styleContainer.createComponent)(function (_ref) {
  var theme = _ref.theme;
  return {
    color: theme.colors.gray[3],
    cursor: 'default',
    fontWeight: 'bold',
    fontSize: '.86667rem',
    backgroundColor: theme.colors.gray[9],
    borderBottom: "1px solid ".concat(theme.colors.gray[8]),
    width: '100%',
    '> *': {
      display: 'inline-block',
      padding: '8px 10px'
    }
  };
}, 'h3');
var _default = MenuHeader;
exports.default = _default;