"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = clearRenderer;

var _react = _interopRequireDefault(require("react"));

var _styleContainer = require("@cloudflare/style-container");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ClearRenderer = (0, _styleContainer.createComponent)(function (_ref) {
  var theme = _ref.theme;
  return {
    display: 'inline-block',
    fontSize: '18px',
    fontWeight: 'normal',
    lineHeight: 1,
    ':hover': {
      color: theme.colors.red[3]
    }
  };
}, 'span');

function clearRenderer() {
  return /*#__PURE__*/_react.default.createElement(ClearRenderer, null, /*#__PURE__*/_react.default.createElement("span", {
    dangerouslySetInnerHTML: {
      __html: '&times;'
    }
  }));
}